#
# spec file for package tkstep (Version 0.5b1)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xpm

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         tkstep
Release:      15
Copyright:    Alfredo K. Kojima
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      0.5b1
Summary:      TkSTEP
Source: tkstep4.2.tar.gz
Source1: tcl7.6p2.tar.gz
Source2: tk4.2p2.tar.gz
Patch: tkstep4.2.dif
Patch1: tcl7.6.dif
Patch2: tk4.2.dif
%description
This is Tk 4.1p1 with some modifications to make it look like
N*XTSTEP's interface, plus some new widgets inspirated on N*XTSTEP.
It also incorporates the DND drag and drop patches.

Authors:
--------
    Alfredo K. Kojima <kojima@inf.ufrgs.br>

%prep
%setup -n tkstep4.2 -b 1 -b 2
%patch
cd ../tcl7.6
%patch -P 1
cd ../tk4.2
%patch -P 2
%build
cd ../tcl7.6/unix
./configure --enable-gcc --prefix=/usr
make
cd ../../tk4.2/unix
./configure --enable-gcc --prefix=/usr/X11R6
make
cd ../../tkstep4.2
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
cd /usr/X11R6/lib
mv tkConfig.sh tkConfigstep.sh
Check
%files
/usr/doc/packages/tkstep
/usr/X11R6/bin/wishstep4.1
/usr/X11R6/include/tkstep.h
/usr/X11R6/lib/libtkstep4.1.so
/usr/X11R6/lib/tkConfigstep.sh
/usr/X11R6/lib/tkstep4.1

